local Shrubbery = ...

Shrubbery:registerAssetId("models/core.fbx/Prefab/Nature_Core", "PREFAB_SHRUBBERY_CORE")

Shrubbery:register({
	DataType = "BUILDING_PART",
	Id = "SHRUBBERY_CORE",
	Name = "SHRUBBERY_NAME",
	Description = "SHRUBBERY_DESC",
	IsVisibleWhenBuilt = false,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SHRUBBERY_CORE"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 1,
			Value = 0
		}
	}
})

Shrubbery:register({
	DataType = "BUILDING",
	Id = "SHRUBBERY_SET",
	Name = "SHRUBBERY_NAME",
	Description = "SHRUBBERY_DESC",
	BuildingType = "DECORATION",
	AssetCoreBuildingPart = "SHRUBBERY_CORE",
	BuildingPartSetList = {
		{
			Name = "LIST_SMALL_NAME",
			BuildingPartList = {
				"BUSH01LOW",
				"BUSH02LOW",
				"BUSH03LOW",
				"BUSH04LOW"
			}
		},
		{
			Name = "LIST_MEDIUM_NAME",
			BuildingPartList = {
				"BUSH01MED",
				"BUSH02MED",
				"BUSH03MED",
				"BUSH04MED",
			}
		},
		{
			Name = "LIST_TALL_NAME",
			BuildingPartList = {
				"BUSH01LARGE",
				"BUSH02LARGE",
				"BUSH03LARGE",
				"BUSH04LARGE"
			}
		},
		{
			Name = "LIST_SAPLINGS_NAME",
			BuildingPartList = {
				"TREE01MED",
				"TREE02MED"
			}
		}
    }
})